Build Archlinux packages in rootless podman container

### Why

1. `sudo` is run inside container (required for makepkg). Does not affect host system
2. Does not install unnecessary make dependencies in host system
3. Build runs in clean environment. 

### Usage

1. Remove/Replace mirror url. I run [pacoloco](https://github.com/anatol/pacoloco) locally at archmirror.i.balki.me
2. Change PACKAGER setting to your name/email
3. Add AUR dependencies in a folder `deps/` (if any)

### Command to build

```
cd ~/projects/mine/aur_builder/
podman build -t gitea.balki.me/balki/aur_builder:exp .
```

### Command to run

```
cd /home/balki/gotosocial_aur/
podman run --rm -v $PWD:/w -it gitea.balki.me/balki/aur_builder:exp
Y
```
