#!/bin/bash

set -xeuo pipefail

sudo sh -c 'echo "169.254.1.2     archmirror.i.balki.me" >> /etc/hosts'
sudo sh -c 'echo "169.254.1.2     gitea.balki.me" >> /etc/hosts'

sudo pacman -Syu

yay_build() {
	# not working yet
	# rm-rf .git

	git config --global user.email "aur_builder@balki.me"
	git config --global user.name "Balakrishnan Balasubramanian"
	makepkg --printsrcinfo >.SRCINFO

	yay -Bi "$PWD"

}

makepkg_build() {
	if [ -d deps ]; then
		sudo pacman -U deps/*pkg.tar*
	fi
	makepkg -s
}

cp -r /w .

cd ./w

if [ "${DEBUG_SHELL-n}" = y ]; then
	bash
fi

# bash
# yay_build

makepkg_build

sudo cp ./*pkg.tar* /w
